com.amazonaws.services.elastictranscoder.model

## Class AudioCodecOptions

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.AudioCodecOptions

All Implemented Interfaces:
  Serializable, Cloneable

    public class AudioCodecOptions
    extends Object
    implements Serializable, Cloneable

Options associated with your audio codec.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AudioCodecOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AudioCodecOptions` `clone()`
`boolean` `equals(Object obj)`
`String` `getBitDepth()` You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.
`String` `getBitOrder()` You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.
`String` `getProfile()` You can only choose an audio profile when you specify AAC for the value of Audio:Codec.
`String` `getSigned()` You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.
`int` `hashCode()`
`void` `setBitDepth(String bitDepth)` You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.
`void` `setBitOrder(String bitOrder)` You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.
`void` `setProfile(String profile)` You can only choose an audio profile when you specify AAC for the value of Audio:Codec.
`void` `setSigned(String signed)` You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AudioCodecOptions` `withBitDepth(String bitDepth)` You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.
`AudioCodecOptions` `withBitOrder(String bitOrder)` You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.
`AudioCodecOptions` `withProfile(String profile)` You can only choose an audio profile when you specify AAC for the value of Audio:Codec.
`AudioCodecOptions` `withSigned(String signed)` You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AudioCodecOptions

    public AudioCodecOptions()

### Method Detail

#### setProfile

    public void setProfile(String profile)

You can only choose an audio profile when you specify AAC for the value of Audio:Codec.

Specify the AAC profile for the output file. Elastic Transcoder supports the following profiles:

- `auto`: If you specify `auto`, Elastic Transcoder selects the profile based on the bit rate selected for the output file.

- `AAC-LC`: The most common AAC profile. Use for bit rates larger than 64 kbps.

- `HE-AAC`: Not supported on some older players and devices. Use for bit rates between 40 and 80 kbps.

- `HE-AACv2`: Not supported on some players and devices. Use for bit rates less than 48 kbps.

All outputs in a `Smooth` playlist must have the same value for `Profile`.

<note>

If you created any presets before AAC profiles were added, Elastic Transcoder automatically updated your presets to use AAC-LC. You can change the value as required.

</note>

Parameters:
  `profile` - You can only choose an audio profile when you specify AAC for the value of Audio:Codec.

  Specify the AAC profile for the output file. Elastic Transcoder supports the following profiles:

  - `auto`: If you specify `auto`, Elastic Transcoder selects the profile based on the bit rate selected for the output file.

  - `AAC-LC`: The most common AAC profile. Use for bit rates larger than 64 kbps.

  - `HE-AAC`: Not supported on some older players and devices. Use for bit rates between 40 and 80 kbps.

  - `HE-AACv2`: Not supported on some players and devices. Use for bit rates less than 48 kbps.

  All outputs in a `Smooth` playlist must have the same value for `Profile`.

  <note>

  If you created any presets before AAC profiles were added, Elastic Transcoder automatically updated your presets to use AAC-LC. You can change the value as required.

#### getProfile

    public String getProfile()

You can only choose an audio profile when you specify AAC for the value of Audio:Codec.

Specify the AAC profile for the output file. Elastic Transcoder supports the following profiles:

- `auto`: If you specify `auto`, Elastic Transcoder selects the profile based on the bit rate selected for the output file.

- `AAC-LC`: The most common AAC profile. Use for bit rates larger than 64 kbps.

- `HE-AAC`: Not supported on some older players and devices. Use for bit rates between 40 and 80 kbps.

- `HE-AACv2`: Not supported on some players and devices. Use for bit rates less than 48 kbps.

All outputs in a `Smooth` playlist must have the same value for `Profile`.

<note>

If you created any presets before AAC profiles were added, Elastic Transcoder automatically updated your presets to use AAC-LC. You can change the value as required.

</note>

Returns:
  You can only choose an audio profile when you specify AAC for the value of Audio:Codec.

  Specify the AAC profile for the output file. Elastic Transcoder supports the following profiles:

  - `auto`: If you specify `auto`, Elastic Transcoder selects the profile based on the bit rate selected for the output file.

  - `AAC-LC`: The most common AAC profile. Use for bit rates larger than 64 kbps.

  - `HE-AAC`: Not supported on some older players and devices. Use for bit rates between 40 and 80 kbps.

  - `HE-AACv2`: Not supported on some players and devices. Use for bit rates less than 48 kbps.

  All outputs in a `Smooth` playlist must have the same value for `Profile`.

  <note>

  If you created any presets before AAC profiles were added, Elastic Transcoder automatically updated your presets to use AAC-LC. You can change the value as required.

#### withProfile

    public AudioCodecOptions withProfile(String profile)

You can only choose an audio profile when you specify AAC for the value of Audio:Codec.

Specify the AAC profile for the output file. Elastic Transcoder supports the following profiles:

- `auto`: If you specify `auto`, Elastic Transcoder selects the profile based on the bit rate selected for the output file.

- `AAC-LC`: The most common AAC profile. Use for bit rates larger than 64 kbps.

- `HE-AAC`: Not supported on some older players and devices. Use for bit rates between 40 and 80 kbps.

- `HE-AACv2`: Not supported on some players and devices. Use for bit rates less than 48 kbps.

All outputs in a `Smooth` playlist must have the same value for `Profile`.

<note>

If you created any presets before AAC profiles were added, Elastic Transcoder automatically updated your presets to use AAC-LC. You can change the value as required.

</note>

Parameters:
  `profile` - You can only choose an audio profile when you specify AAC for the value of Audio:Codec.

  Specify the AAC profile for the output file. Elastic Transcoder supports the following profiles:

  - `auto`: If you specify `auto`, Elastic Transcoder selects the profile based on the bit rate selected for the output file.

  - `AAC-LC`: The most common AAC profile. Use for bit rates larger than 64 kbps.

  - `HE-AAC`: Not supported on some older players and devices. Use for bit rates between 40 and 80 kbps.

  - `HE-AACv2`: Not supported on some players and devices. Use for bit rates less than 48 kbps.

  All outputs in a `Smooth` playlist must have the same value for `Profile`.

  <note>

  If you created any presets before AAC profiles were added, Elastic Transcoder automatically updated your presets to use AAC-LC. You can change the value as required.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBitDepth

    public void setBitDepth(String bitDepth)

You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.

The bit depth of a sample is how many bits of information are included in the audio samples. The higher the bit depth, the better the audio, but the larger the file.

Valid values are `16` and `24`.

The most common bit depth is `24`.

Parameters:
  `bitDepth` - You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.

  The bit depth of a sample is how many bits of information are included in the audio samples. The higher the bit depth, the better the audio, but the larger the file.

  Valid values are `16` and `24`.

  The most common bit depth is `24`.

#### getBitDepth

    public String getBitDepth()

You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.

The bit depth of a sample is how many bits of information are included in the audio samples. The higher the bit depth, the better the audio, but the larger the file.

Valid values are `16` and `24`.

The most common bit depth is `24`.

Returns:
  You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.

  The bit depth of a sample is how many bits of information are included in the audio samples. The higher the bit depth, the better the audio, but the larger the file.

  Valid values are `16` and `24`.

  The most common bit depth is `24`.

#### withBitDepth

    public AudioCodecOptions withBitDepth(String bitDepth)

You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.

The bit depth of a sample is how many bits of information are included in the audio samples. The higher the bit depth, the better the audio, but the larger the file.

Valid values are `16` and `24`.

The most common bit depth is `24`.

Parameters:
  `bitDepth` - You can only choose an audio bit depth when you specify `flac` or `pcm` for the value of Audio:Codec.

  The bit depth of a sample is how many bits of information are included in the audio samples. The higher the bit depth, the better the audio, but the larger the file.

  Valid values are `16` and `24`.

  The most common bit depth is `24`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBitOrder

    public void setBitOrder(String bitOrder)

You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.

The order the bits of a PCM sample are stored in.

The supported value is `LittleEndian`.

Parameters:
  `bitOrder` - You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.

  The order the bits of a PCM sample are stored in.

  The supported value is `LittleEndian`.

#### getBitOrder

    public String getBitOrder()

You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.

The order the bits of a PCM sample are stored in.

The supported value is `LittleEndian`.

Returns:
  You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.

  The order the bits of a PCM sample are stored in.

  The supported value is `LittleEndian`.

#### withBitOrder

    public AudioCodecOptions withBitOrder(String bitOrder)

You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.

The order the bits of a PCM sample are stored in.

The supported value is `LittleEndian`.

Parameters:
  `bitOrder` - You can only choose an audio bit order when you specify `pcm` for the value of Audio:Codec.

  The order the bits of a PCM sample are stored in.

  The supported value is `LittleEndian`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSigned

    public void setSigned(String signed)

You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.

Whether audio samples are represented with negative and positive numbers (signed) or only positive numbers (unsigned).

The supported value is `Signed`.

Parameters:
  `signed` - You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.

  Whether audio samples are represented with negative and positive numbers (signed) or only positive numbers (unsigned).

  The supported value is `Signed`.

#### getSigned

    public String getSigned()

You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.

Whether audio samples are represented with negative and positive numbers (signed) or only positive numbers (unsigned).

The supported value is `Signed`.

Returns:
  You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.

  Whether audio samples are represented with negative and positive numbers (signed) or only positive numbers (unsigned).

  The supported value is `Signed`.

#### withSigned

    public AudioCodecOptions withSigned(String signed)

You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.

Whether audio samples are represented with negative and positive numbers (signed) or only positive numbers (unsigned).

The supported value is `Signed`.

Parameters:
  `signed` - You can only choose whether an audio sample is signed when you specify `pcm` for the value of Audio:Codec.

  Whether audio samples are represented with negative and positive numbers (signed) or only positive numbers (unsigned).

  The supported value is `Signed`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AudioCodecOptions clone()

Overrides:
  `clone` in class `Object`